Bug 208371 - [exp-run] [Patch] devel/ruby-gems: Update to 2.6.2
Summary: [exp-run] [Patch] devel/ruby-gems: Update to 2.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-29 01:30 UTC by Wen Heping
Modified: 2016-04-04 15:28 UTC (History)
2 users (show)

See Also:


Attachments
patch file (1.32 KB, text/plain)
2016-03-29 01:30 UTC, Wen Heping
no flags Details
patch to update gem and deps (225.58 KB, patch)
2016-04-01 08:41 UTC, Steve Wills
no flags Details | Diff
updated patch (225.92 KB, patch)
2016-04-01 13:38 UTC, Steve Wills
no flags Details | Diff
updated patch generated with --show-copies-as-adds (224.94 KB, patch)
2016-04-01 13:58 UTC, Steve Wills
no flags Details | Diff
Patch for devel/rubygem-tilt1 textproc/rubygem-nokogiri (8.14 KB, text/plain)
2016-04-02 13:58 UTC, Wen Heping
no flags Details
Patch for devel/rubygem-kafo_parsers devel/rubygem-kafo (3.09 KB, text/plain)
2016-04-03 00:48 UTC, Wen Heping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2016-03-29 01:30:22 UTC
Created attachment 168741 [details]
patch file

Update to 2.6.2
Comment 1 Steve Wills freebsd_committer 2016-04-01 08:41:55 UTC
Created attachment 168861 [details]
patch to update gem and deps

Due to the way we generate gemspecs and then patch them, updating gem means updating a number of patches in various ports. Here's an updated patch which does that too. Needs exp-run to see verify I didn't miss any.
Comment 2 Steve Wills freebsd_committer 2016-04-01 13:38:17 UTC
Created attachment 168867 [details]
updated patch

Fixes an issue with the patch for sysutils/rubygem-bosh_cli
Comment 3 Steve Wills freebsd_committer 2016-04-01 13:58:29 UTC
Created attachment 168868 [details]
updated patch generated with --show-copies-as-adds

Moved files confused things, try this version.
Comment 4 Antoine Brodin freebsd_committer 2016-04-01 17:38:58 UTC
Those 3 ports fail to patch:

devel/rubygem-tilt1 rubygem-tilt1-1.4.1 patch patch
textproc/rubygem-nokogiri rubygem-nokogiri-1.6.7.2 patch patch
devel/rubygem-kafo_parsers rubygem-kafo_parsers-0.0.6 patch patch

164 ports were skipped mostly due to rubygem-tilt1 and rubygem-nokogiri
Comment 5 Wen Heping freebsd_committer 2016-04-02 13:58:36 UTC
Created attachment 168889 [details]
Patch for devel/rubygem-tilt1 textproc/rubygem-nokogiri
Comment 6 Antoine Brodin freebsd_committer 2016-04-02 17:45:00 UTC
1 port fails to patch:

devel/rubygem-kafo_parsers rubygem-kafo_parsers-0.0.6 patch patch

1 port skipped (and will probably fail to patch):

devel/rubygem-kafo rubygem-kafo-0.7.2 rubygem-kafo_parsers-0.0.6
Comment 7 Wen Heping freebsd_committer 2016-04-03 00:48:24 UTC
Created attachment 168912 [details]
Patch for devel/rubygem-kafo_parsers devel/rubygem-kafo
Comment 8 Antoine Brodin freebsd_committer 2016-04-03 07:08:39 UTC
Exp-run results:

http://pb2.nyi.freebsd.org/jail.html?mastername=101i386-default-PR208371

It looks fine
Comment 9 commit-hook freebsd_committer 2016-04-04 15:25:56 UTC
A commit references this bug:

Author: swills
Date: Mon Apr  4 15:24:57 UTC 2016
New revision: 412516
URL: https://svnweb.freebsd.org/changeset/ports/412516

Log:
  devel/ruby-gems: Update to 2.6.2

  PR:		208371
  Submitted by:	wen (partial)

Changes:
  head/databases/rubygem-dm-types/files/patch-gemspec
  head/devel/ruby-gems/Makefile
  head/devel/ruby-gems/distinfo
  head/devel/ruby-gems/pkg-plist
  head/devel/rubygem-analogger/files/patch-gemspec
  head/devel/rubygem-blobstore_client/files/patch-gemspec
  head/devel/rubygem-bones/files/patch-gemspec
  head/devel/rubygem-bson1/files/patch-gemspec
  head/devel/rubygem-clio/files/patch-gemspec
  head/devel/rubygem-fog/files/patch-gemspec
  head/devel/rubygem-gitlab_git/files/patch-gemspec
  head/devel/rubygem-kafo/files/patch-bin__kafofy
  head/devel/rubygem-kafo/files/patch-gemspec
  head/devel/rubygem-kafo_parsers/files/patch-gemspec
  head/devel/rubygem-launchy22/files/patch-gemspec
  head/devel/rubygem-rapt/files/patch-gemspec
  head/devel/rubygem-rash/files/patch-gemspec
  head/devel/rubygem-shoulda/files/patch-gemspec
  head/devel/rubygem-sidetiq/files/patch-gemspec
  head/devel/rubygem-sprockets22/files/patch-gemspec
  head/devel/rubygem-tilt1/files/patch-gemspec
  head/devel/rubygem-toml/files/patch-gemspec
  head/devel/rubygem-warbler/files/patch-gemspec
  head/games/lolcat/files/patch-gemspec
  head/graphics/rubygem-ezprint/files/patch-gemspec
  head/graphics/rubygem-fastimage/files/patch-gemspec
  head/graphics/rubygem-goocanvas/files/patch-ext_goocanvas_extconf.rb
  head/graphics/rubygem-goocanvas/files/patch-gemspec
  head/mail/rubygem-mail25/files/patch-gemspec
  head/mail/rubygem-roadie/files/patch-gemspec
  head/net/rubygem-amqp-utils/files/patch-gemspec
  head/net/rubygem-gitlab_omniauth-ldap/files/patch-gemspec
  head/net/rubygem-oauth2/files/patch-gemspec
  head/net/rubygem-t/files/patch-gemspec
  head/net/rubygem-twitter/files/patch-gemspec
  head/net/rubygem-twitter-stream/files/patch-gemspec
  head/net-im/rubygem-earthquake/files/patch-gemspec
  head/net-im/rubygem-lita/files/patch-gemspec
  head/net-im/rubygem-termtter/files/patch-gemspec
  head/print/rubygem-rbpdf/files/patch-gemspec
  head/security/rubygem-ezcrypto/files/patch-gemspec
  head/sysutils/rhc/files/patch-gemspec
  head/sysutils/rubygem-backup/files/patch-gemspec
  head/sysutils/rubygem-bosh-gen/files/patch-gemspec
  head/sysutils/rubygem-bosh_cli/files/patch-gemspec
  head/sysutils/rubygem-chef/files/patch-gemspec
  head/sysutils/rubygem-puppet_forge1/files/patch-gemspec
  head/sysutils/rubygem-r10k/files/patch-gemspec
  head/sysutils/rubygem-winrm/files/patch-winrm.gemspec
  head/textproc/rubygem-github-linguist/files/patch-gemspec
  head/textproc/rubygem-gitlab-linguist/files/patch-gemspec
  head/textproc/rubygem-html-pipeline-gitlab/files/patch-gemspec
  head/textproc/rubygem-nokogiri/files/patch-ext_nokogiri_extconf.rb
  head/textproc/rubygem-nokogiri/files/patch-gemspec
  head/textproc/rubygem-nokogiri14/files/patch-bin__nokogiri
  head/textproc/rubygem-nokogiri14/files/patch-ext_nokogiri_extconf.rb
  head/textproc/rubygem-nokogiri14/files/patch-gemspec
  head/textproc/rubygem-sass-rails/files/patch-gemspec
  head/textproc/rubygem-sass-rails4/files/patch-gemspec
  head/textproc/rubygem-sass32/files/patch-gemspec
  head/www/rubygem-asana/files/patch-gemspec
  head/www/rubygem-em-http-request/files/patch-gemspec
  head/www/rubygem-gitlab-gollum-lib/files/patch-gemspec
  head/www/rubygem-gitlab-grack/files/patch-gemspec
  head/www/rubygem-gollum-lib/files/patch-gemspec
  head/www/rubygem-heroku/files/patch-gemspec
  head/www/rubygem-jsobfu/files/patch-gemspec
  head/www/rubygem-kensa/files/patch-gemspec
  head/www/rubygem-railties/files/patch-gemspec
Comment 10 Steve Wills freebsd_committer 2016-04-04 15:28:27 UTC
Committed!